Index: src/Fragmentation/Automation/Controller/CommandRegistry.cpp
===================================================================
--- src/Fragmentation/Automation/Controller/CommandRegistry.cpp	(revision 50d0954c9954f199b1e23cb238803411a30172b2)
+++ 	(revision )
@@ -1,36 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * CommandRegistry.cpp
- *
- *  Created on: Dec 11, 2011
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-// boost asio needs specific operator new
-#include <boost/asio.hpp>
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Controller/CommandRegistry.hpp"
-
-#include "CodePatterns/Registry_impl.hpp"
-
-
-CommandRegistry::CommandRegistry()
-{}
-
-CommandRegistry::~CommandRegistry()
-{}
-
-CONSTRUCT_REGISTRY(Operation)
Index: src/Fragmentation/Automation/Controller/CommandRegistry.hpp
===================================================================
--- src/Fragmentation/Automation/Controller/CommandRegistry.hpp	(revision 50d0954c9954f199b1e23cb238803411a30172b2)
+++ 	(revision )
@@ -1,28 +1,0 @@
-/*
- * CommandRegistry.hpp
- *
- *  Created on: Dec 11, 2011
- *      Author: heber
- */
-
-#ifndef COMMANDREGISTRY_HPP_
-#define COMMANDREGISTRY_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/Registry.hpp"
-
-#include "Operations/Operation.hpp"
-
-class CommandRegistry : public Registry<Operation>
-{
-public:
-  CommandRegistry();
-  ~CommandRegistry();
-
-};
-
-#endif /* COMMANDREGISTRY_HPP_ */
Index: src/Fragmentation/Automation/Controller/FragmentController.cpp
===================================================================
--- src/Fragmentation/Automation/Controller/FragmentController.cpp	(revision 50d0954c9954f199b1e23cb238803411a30172b2)
+++ src/Fragmentation/Automation/Controller/FragmentController.cpp	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
@@ -71,5 +71,5 @@
 size_t FragmentController::getExitflag() const
 {
-  for (CommandRegistry::const_iterator iter = Commands.getBeginIter();
+  for (OperationRegistry::const_iterator iter = Commands.getBeginIter();
       iter != Commands.getEndIter(); ++iter)
     if ((iter->second)->getExitflag() != 0)
Index: src/Fragmentation/Automation/Controller/FragmentController.hpp
===================================================================
--- src/Fragmentation/Automation/Controller/FragmentController.hpp	(revision 50d0954c9954f199b1e23cb238803411a30172b2)
+++ src/Fragmentation/Automation/Controller/FragmentController.hpp	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
@@ -22,5 +22,5 @@
 #include "Results/FragmentResult.hpp"
 
-#include "Controller/CommandRegistry.hpp"
+#include "Operations/OperationRegistry.hpp"
 
 /** The FragmentController sends bunches of jobs to a FragmentScheduler,
@@ -47,6 +47,6 @@
 
 public:
-  /// Registry with all commands of this controller
-  CommandRegistry Commands;
+  //!> registry with all operations of this controller
+  OperationRegistry Commands;
 };
 
Index: src/Fragmentation/Automation/Makefile.am
===================================================================
--- src/Fragmentation/Automation/Makefile.am	(revision 50d0954c9954f199b1e23cb238803411a30172b2)
+++ src/Fragmentation/Automation/Makefile.am	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
@@ -107,11 +107,11 @@
 
 CONTROLLERSOURCE = \
-  Controller/CommandRegistry.cpp \
-  Controller/FragmentController.cpp
+  Controller/FragmentController.cpp \
+  Operations/OperationRegistry.cpp
 
 CONTROLLERHEADER = \
   Connection.hpp \
-  Controller/CommandRegistry.hpp \
-  Controller/FragmentController.hpp
+  Controller/FragmentController.hpp \
+  Operations/OperationRegistry.hpp
 
 POOLWORKERSOURCE = \
Index: src/Fragmentation/Automation/Operations/OperationRegistry.cpp
===================================================================
--- src/Fragmentation/Automation/Operations/OperationRegistry.cpp	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
+++ src/Fragmentation/Automation/Operations/OperationRegistry.cpp	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
@@ -0,0 +1,36 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * OperationRegistry.cpp
+ *
+ *  Created on: Dec 11, 2011
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+// boost asio needs specific operator new
+#include <boost/asio.hpp>
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "OperationRegistry.hpp"
+
+#include "CodePatterns/Registry_impl.hpp"
+
+
+OperationRegistry::OperationRegistry()
+{}
+
+OperationRegistry::~OperationRegistry()
+{}
+
+CONSTRUCT_REGISTRY(Operation)
Index: src/Fragmentation/Automation/Operations/OperationRegistry.hpp
===================================================================
--- src/Fragmentation/Automation/Operations/OperationRegistry.hpp	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
+++ src/Fragmentation/Automation/Operations/OperationRegistry.hpp	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
@@ -0,0 +1,28 @@
+/*
+ * OperationRegistry.hpp
+ *
+ *  Created on: 11.12.2011
+ *      Author: heber
+ */
+
+#ifndef OPERATIONREGISTRY_HPP_
+#define OPERATIONREGISTRY_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/Registry.hpp"
+
+#include "Operations/Operation.hpp"
+
+class OperationRegistry : public Registry<Operation>
+{
+public:
+  OperationRegistry();
+  ~OperationRegistry();
+
+};
+
+#endif /* OPERATIONREGISTRY_HPP_ */
